%define debug_package %{nil}
%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(plat_specific=False)")

Name: xlsxwriter
Version: 1.0.5
Release: 1%{?dist}
Summary: Python module for writing files in the Excel 2007+ XLSX file format
Group: System Environment/Libraries
License: LGPL
Source: XlsxWriter-%{version}.tar.gz
URL: https://pypi.python.org/pypi/XlsxWriter
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  python-setuptools

%description
XlsxWriter is a Python module for writing files in the Excel 2007+ XLSX file format.

XlsxWriter can be used to write text, numbers, formulas and hyperlinks
to multiple worksheets and it supports features such as formatting and
many more, including:

	100% compatible Excel XLSX files.
	Full formatting.
	Merged cells.
	Defined names.
	Charts.
	Autofilters.
	Data validation and drop down lists.
	Conditional formatting.
	Worksheet PNG/JPEG images.
	Rich multi-format strings.
	Cell comments.
	Integration with Pandas.
	Textboxes.
	Memory optimization mode for writing large files.

It supports Python 2.5, 2.6, 2.7, 3.1, 3.2, 3.3, 3.4, 3.5, Jython and PyPy and uses standard libraries only.

%prep
%setup -n XlsxWriter-%{version}

%build
%{__python} setup.py build

%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install --root="%{buildroot}" --prefix="%{_prefix}"

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(644,root,root,755)
%attr(444, root, root)	%{python_sitelib}/XlsxWriter*egg-info/*
%attr(644, root, root)	%{python_sitelib}/%{name}/*.py*
%attr(755, root, root)	%{_bindir}/vba_extract.py

%changelog
* Sat May 19 2018 Lawrence R. Rogers <lrr@cert.org> 1.0.5-1
* Release 1.0.5-1
	Release 1.0.5 - May 19 2018
	---------------------------
	* Added example of how to subclass the Workbook and Worksheet objects. See
	  :ref:`ex_inheritance1` and :ref:`ex_inheritance2`.
	* Added support for WMF and EMF image formats to the Worksheet
	  :func:`add_image` method.

* Sat Apr 14 2018 Lawrence R. Rogers <lrr@cert.org> 1.0.4-1
* Release 1.0.4-1
	Release 1.0.4 - April 14 2018
	-----------------------------
	* Set the xlsx internal file member datetimes to 1980-01-01 00:00:00 like
	  Excel so that apps can produce a consistent binary file once the workbook
	  :func:`set_properties` ``created`` date is set.  
	  Pull request `#495 <https://github.com/jmcnamara/XlsxWriter/issues/495>`_.
	* Fix for jpeg images that reported unknown height/width due to unusual SOF markers.
	  Issue `#506 <https://github.com/jmcnamara/XlsxWriter/issues/506>`_.
	* Added support for blanks in list autofilter.
	  Issue `#505 <https://github.com/jmcnamara/XlsxWriter/issues/505>`_.

	Release 1.0.3 - April 10 2018
	-----------------------------
	* Added Excel 2010 data bar features such as solid fills and control over the
	  display of negative values. See :ref:`working_with_conditional_formats` and
	  :ref:`ex_cond_format`.
	  Feature request `#502 <https://github.com/jmcnamara/XlsxWriter/issues/502>`_.
	* Fixed :func:`set_column` parameter names to match docs and other methods.
	  Note, this is a backward incompatible change.
	  Issue `#504 <https://github.com/jmcnamara/XlsxWriter/issues/504>`_.
	* Fixed missing plotarea formatting in pie/doughnut charts.

* Sat Oct 14 2017 Lawrence R. Rogers <lrr@cert.org> 1.0.2-1
* Release 1.0.2-1
	Release 1.0.2 - October 14 2017
	-------------------------------
	* Fix for cases where the hyperlink style added in the previous release didn't work.
	  Feature request `#455 <https://github.com/jmcnamara/XlsxWriter/issues/455>`_.

	Release 1.0.1 - October 14 2017
	-------------------------------
	* Changed default :func:`write_url` format to the Excel hyperlink style so that
	  it changes when the theme is changed and also so that it indicates that the
	  link has been clicked.
	  Feature request `#455 <https://github.com/jmcnamara/XlsxWriter/issues/455>`_.

	Release 1.0.0 - September 16 2017
	---------------------------------
	* Added icon sets to conditional formatting. See
	  :ref:`working_with_conditional_formats` and :ref:`ex_cond_format`.
	  Feature request `#387 <https://github.com/jmcnamara/XlsxWriter/issues/387>`_.

	Release 0.9.9 - September 5 2017
	--------------------------------
	* Added ``stop_if_true`` parameter to conditional formatting.
	  Feature request `#386 <https://github.com/jmcnamara/XlsxWriter/issues/386>`_.

* Sat Jul  1 2017 Lawrence R. Rogers <lrr@cert.org> 0.9.8-1
* Release 0.9.8-1
	Release 0.9.8 - July 1 2017
	---------------------------
	* Fixed issue where spurious deprecation warning was raised in ``-Werror`` mode.
	  Issue `#451 <https://github.com/jmcnamara/XlsxWriter/issues/451>`_.

	Release 0.9.7 - June 25 2017
	----------------------------
	* Minor bug and doc fixes.

	Release 0.9.6 - Dec 26 2016
	---------------------------
	* Fix for table with data but without a header.
	  Issue `#405 <https://github.com/jmcnamara/XlsxWriter/issues/405>`_.
	* Add a warning when the number of series in a chart exceeds Excel's limit
	  of 255.
	  Issue `#399 <https://github.com/jmcnamara/XlsxWriter/issues/399>`_.

	Release 0.9.5 - Dec 24 2016
	---------------------------
	* Fix for missing `remove_timezone` option in Chart class.
	  PR from Thomas Arnhold
	  `#404 <https://github.com/jmcnamara/XlsxWriter/issues/404>`_.

	Release 0.9.4 - Dec 2 2016
	--------------------------
	* Added user definable removal of timezones in datetimes. See the
	  :func:`Workbook` constructor option ``remove_timezone`` and :ref:`Timezone
	  Handling in XlsxWriter <timezone_handling>`.
	  Issue `#257 <https://github.com/jmcnamara/XlsxWriter/issues/257>`_.
	* Fix duplicate header warning in :func:`add_table` when there is only one
	  user defined header.
	  Issue `#380 <https://github.com/jmcnamara/XlsxWriter/issues/380>`_.
	* Fix for `center_across` property in :func:`add_format`.
	  Issue `#381 <https://github.com/jmcnamara/XlsxWriter/issues/381>`_.

* Fri Jul  8 2016 Lawrence R. Rogers <lrr@cert.org> 0.9.3-1
* Release 0.9.3-1

	Release 0.9.3 - July 8 2016
	---------------------------

	* Added check to :func:`add_table` to prevent duplicate header names which
	  leads to a corrupt Excel file.
	  Issue `#362 <https://github.com/jmcnamara/XlsxWriter/issues/362>`_.


	Release 0.9.2 - June 13 2016
	----------------------------

	* Added workbook :func:`set_size` method to set the workbook window size.


	Release 0.9.1 - June 8 2016
	---------------------------

	* Added font support to chart :func:`set_table`.

	* Documented used of font rotation in chart :ref:`data labels
	  <chart_series_option_data_labels>`.
	  Issue `#337 <https://github.com/jmcnamara/XlsxWriter/issues/337>`_.


	Release 0.9.0 - June 7 2016
	---------------------------

	* Added :ref:`trendline properties <chart_series_option_trendline>`:
	  ``intercept``, ``display_equation`` and ``display_r_squared``.
	  Feature request `#357 <https://github.com/jmcnamara/XlsxWriter/issues/357>`_.


	Release 0.8.9 - June 1 2016
	---------------------------

	* Fix for :func:`insert_image` issue when handling images with zero dpi.
	  Issue `#356 <https://github.com/jmcnamara/XlsxWriter/issues/356>`_.


	Release 0.8.8 - May 31 2016
	---------------------------

	* Added workbook :func:`set_custom_property` method to set custom document
	  properties.
	  Feature request `#355 <https://github.com/jmcnamara/XlsxWriter/issues/355>`_.


	Release 0.8.7 - May 13 2016
	---------------------------

	* Fix for issue when inserting read-only images on Windows.
	  Issue `#352 <https://github.com/jmcnamara/XlsxWriter/issues/352>`_.

	* Added :func:`get_worksheet_by_name()` method to allow the retrieval of a
	  worksheet from a workbook via its name.

	* Fixed issue where internal file creation and modification dates were in the
	  local timezone instead of UTC.

	Release 0.8.6 - April 27 2016
	-----------------------------

	* Fix for ``external:`` urls where the target/anchor contains spaces.
	  Issue `#350 <https://github.com/jmcnamara/XlsxWriter/issues/350>`_.

	Release 0.8.5 - April 17 2016
	-----------------------------

	* Added additional documentation on :ref:`ewx_pandas` and
	  :ref:`pandas_examples`.

	* Added fix for :func:`set_center_across` format method.

* Sun Feb  7 2016 Lawrence R. Rogers <lrr@cert.org> 0.8.4-1
* Release 0.8.4-1
	Initial release
`
